Index: cpukit/score/src/apiext.c
===================================================================
--- cpukit/score/src/apiext.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/apiext.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -16,5 +16,5 @@
 
 #include <rtems/system.h>
-#include <rtems/core/apiext.h>
+#include <rtems/score/apiext.h>
 
 /*PAGE
Index: cpukit/score/src/chain.c
===================================================================
--- cpukit/score/src/chain.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/chain.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -19,7 +19,7 @@
 
 #include <rtems/system.h>
-#include <rtems/core/address.h>
-#include <rtems/core/chain.h>
-#include <rtems/core/isr.h>
+#include <rtems/score/address.h>
+#include <rtems/score/chain.h>
+#include <rtems/score/isr.h>
 
 /*PAGE
Index: cpukit/score/src/coremsg.c
===================================================================
--- cpukit/score/src/coremsg.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/coremsg.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -20,12 +20,12 @@
 
 #include <rtems/system.h>
-#include <rtems/core/chain.h>
-#include <rtems/core/isr.h>
-#include <rtems/core/object.h>
-#include <rtems/core/coremsg.h>
-#include <rtems/core/states.h>
-#include <rtems/core/thread.h>
-#include <rtems/core/wkspace.h>
-#include <rtems/core/mpci.h>
+#include <rtems/score/chain.h>
+#include <rtems/score/isr.h>
+#include <rtems/score/object.h>
+#include <rtems/score/coremsg.h>
+#include <rtems/score/states.h>
+#include <rtems/score/thread.h>
+#include <rtems/score/wkspace.h>
+#include <rtems/score/mpci.h>
 
 /*PAGE
@@ -64,4 +64,5 @@
   the_message_queue->number_of_pending_messages = 0;
   the_message_queue->maximum_message_size       = maximum_message_size;
+  _CORE_message_queue_Set_notify( the_message_queue, NULL, NULL );
  
   /*
Index: cpukit/score/src/coremutex.c
===================================================================
--- cpukit/score/src/coremutex.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/coremutex.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -19,9 +19,9 @@
 
 #include <rtems/system.h>
-#include <rtems/core/isr.h>
-#include <rtems/core/coremutex.h>
-#include <rtems/core/states.h>
-#include <rtems/core/thread.h>
-#include <rtems/core/threadq.h>
+#include <rtems/score/isr.h>
+#include <rtems/score/coremutex.h>
+#include <rtems/score/states.h>
+#include <rtems/score/thread.h>
+#include <rtems/score/threadq.h>
 
 /*PAGE
Index: cpukit/score/src/coresem.c
===================================================================
--- cpukit/score/src/coresem.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/coresem.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -20,10 +20,10 @@
 
 #include <rtems/system.h>
-#include <rtems/core/isr.h>
-#include <rtems/core/coresem.h>
-#include <rtems/core/states.h>
-#include <rtems/core/thread.h>
-#include <rtems/core/threadq.h>
-#include <rtems/core/mpci.h>
+#include <rtems/score/isr.h>
+#include <rtems/score/coresem.h>
+#include <rtems/score/states.h>
+#include <rtems/score/thread.h>
+#include <rtems/score/threadq.h>
+#include <rtems/score/mpci.h>
 
 /*PAGE
Index: cpukit/score/src/coretod.c
===================================================================
--- cpukit/score/src/coretod.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/coretod.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -15,8 +15,8 @@
 
 #include <rtems/system.h>
-#include <rtems/core/object.h>
-#include <rtems/core/thread.h>
-#include <rtems/core/tod.h>
-#include <rtems/core/watchdog.h>
+#include <rtems/score/object.h>
+#include <rtems/score/thread.h>
+#include <rtems/score/tod.h>
+#include <rtems/score/watchdog.h>
 
 /*PAGE
Index: cpukit/score/src/heap.c
===================================================================
--- cpukit/score/src/heap.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/heap.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -15,6 +15,6 @@
 
 #include <rtems/system.h>
-#include <rtems/core/sysstate.h>
-#include <rtems/core/heap.h>
+#include <rtems/score/sysstate.h>
+#include <rtems/score/heap.h>
 
 /*PAGE
Index: cpukit/score/src/interr.c
===================================================================
--- cpukit/score/src/interr.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/interr.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -14,7 +14,7 @@
 
 #include <rtems/system.h>
-#include <rtems/core/interr.h>
-#include <rtems/core/sysstate.h>
-#include <rtems/core/userext.h>
+#include <rtems/score/interr.h>
+#include <rtems/score/sysstate.h>
+#include <rtems/score/userext.h>
 
 /*PAGE
Index: cpukit/score/src/isr.c
===================================================================
--- cpukit/score/src/isr.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/isr.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -15,8 +15,8 @@
 
 #include <rtems/system.h>
-#include <rtems/core/isr.h>
-#include <rtems/core/stack.h>
-#include <rtems/core/interr.h>
-#include <rtems/core/wkspace.h>
+#include <rtems/score/isr.h>
+#include <rtems/score/stack.h>
+#include <rtems/score/interr.h>
+#include <rtems/score/wkspace.h>
 
 /*  _ISR_Handler_initialization
Index: cpukit/score/src/mpci.c
===================================================================
--- cpukit/score/src/mpci.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/mpci.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -15,16 +15,16 @@
 
 #include <rtems/system.h>
-#include <rtems/core/cpu.h>
-#include <rtems/core/interr.h>
-#include <rtems/core/mpci.h>
-#include <rtems/core/mppkt.h>
-#include <rtems/core/states.h>
-#include <rtems/core/thread.h>
-#include <rtems/core/threadq.h>
-#include <rtems/core/tqdata.h>
-#include <rtems/core/watchdog.h>
-#include <rtems/core/sysstate.h>
-
-#include <rtems/core/coresem.h>
+#include <rtems/score/cpu.h>
+#include <rtems/score/interr.h>
+#include <rtems/score/mpci.h>
+#include <rtems/score/mppkt.h>
+#include <rtems/score/states.h>
+#include <rtems/score/thread.h>
+#include <rtems/score/threadq.h>
+#include <rtems/score/tqdata.h>
+#include <rtems/score/watchdog.h>
+#include <rtems/score/sysstate.h>
+
+#include <rtems/score/coresem.h>
 
 /*PAGE
Index: cpukit/score/src/object.c
===================================================================
--- cpukit/score/src/object.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/object.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -15,10 +15,10 @@
 
 #include <rtems/system.h>
-#include <rtems/core/chain.h>
-#include <rtems/core/object.h>
-#include <rtems/core/objectmp.h>
-#include <rtems/core/thread.h>
-#include <rtems/core/wkspace.h>
-#include <rtems/core/sysstate.h>
+#include <rtems/score/chain.h>
+#include <rtems/score/object.h>
+#include <rtems/score/objectmp.h>
+#include <rtems/score/thread.h>
+#include <rtems/score/wkspace.h>
+#include <rtems/score/sysstate.h>
 
 /*PAGE
Index: cpukit/score/src/objectmp.c
===================================================================
--- cpukit/score/src/objectmp.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/objectmp.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -15,8 +15,8 @@
 
 #include <rtems/system.h>
-#include <rtems/core/interr.h>
-#include <rtems/core/object.h>
-#include <rtems/core/wkspace.h>
-#include <rtems/core/thread.h>
+#include <rtems/score/interr.h>
+#include <rtems/score/object.h>
+#include <rtems/score/wkspace.h>
+#include <rtems/score/thread.h>
 
 /*PAGE
@@ -134,7 +134,5 @@
       _Chain_Extract( the_node );
       _Objects_MP_Free_global_object( the_object );
-
       return;
-
     }
 
Index: cpukit/score/src/thread.c
===================================================================
--- cpukit/score/src/thread.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/thread.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -15,14 +15,14 @@
 
 #include <rtems/system.h>
-#include <rtems/core/context.h>
-#include <rtems/core/interr.h>
-#include <rtems/core/isr.h>
-#include <rtems/core/object.h>
-#include <rtems/core/priority.h>
-#include <rtems/core/states.h>
-#include <rtems/core/thread.h>
-#include <rtems/core/threadq.h>
-#include <rtems/core/userext.h>
-#include <rtems/core/wkspace.h>
+#include <rtems/score/context.h>
+#include <rtems/score/interr.h>
+#include <rtems/score/isr.h>
+#include <rtems/score/object.h>
+#include <rtems/score/priority.h>
+#include <rtems/score/states.h>
+#include <rtems/score/thread.h>
+#include <rtems/score/threadq.h>
+#include <rtems/score/userext.h>
+#include <rtems/score/wkspace.h>
 
 /*PAGE
Index: cpukit/score/src/threadmp.c
===================================================================
--- cpukit/score/src/threadmp.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/threadmp.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -15,8 +15,8 @@
 
 #include <rtems/system.h>
-#include <rtems/core/priority.h>
-#include <rtems/core/thread.h>
-#include <rtems/core/wkspace.h>
-#include <rtems/core/isr.h>
+#include <rtems/score/priority.h>
+#include <rtems/score/thread.h>
+#include <rtems/score/wkspace.h>
+#include <rtems/score/isr.h>
 
 /*PAGE
Index: cpukit/score/src/threadq.c
===================================================================
--- cpukit/score/src/threadq.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/threadq.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -15,11 +15,11 @@
 
 #include <rtems/system.h>
-#include <rtems/core/chain.h>
-#include <rtems/core/isr.h>
-#include <rtems/core/object.h>
-#include <rtems/core/states.h>
-#include <rtems/core/thread.h>
-#include <rtems/core/threadq.h>
-#include <rtems/core/tqdata.h>
+#include <rtems/score/chain.h>
+#include <rtems/score/isr.h>
+#include <rtems/score/object.h>
+#include <rtems/score/states.h>
+#include <rtems/score/thread.h>
+#include <rtems/score/threadq.h>
+#include <rtems/score/tqdata.h>
 
 /*PAGE
Index: cpukit/score/src/userext.c
===================================================================
--- cpukit/score/src/userext.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/userext.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -16,5 +16,5 @@
 
 #include <rtems/system.h>
-#include <rtems/core/userext.h>
+#include <rtems/score/userext.h>
 
 /*PAGE
Index: cpukit/score/src/watchdog.c
===================================================================
--- cpukit/score/src/watchdog.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/watchdog.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -15,6 +15,6 @@
 
 #include <rtems/system.h>
-#include <rtems/core/isr.h>
-#include <rtems/core/watchdog.h>
+#include <rtems/score/isr.h>
+#include <rtems/score/watchdog.h>
 
 /*PAGE
Index: cpukit/score/src/wkspace.c
===================================================================
--- cpukit/score/src/wkspace.c	(revision 1e0f4c8061f53856f50922a3775b97814c3c1056)
+++ cpukit/score/src/wkspace.c	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -18,6 +18,6 @@
 
 #include <rtems/system.h>
-#include <rtems/core/wkspace.h>
-#include <rtems/core/interr.h>
+#include <rtems/score/wkspace.h>
+#include <rtems/score/interr.h>
 
 /*PAGE
